Robot Simulator of the Robotics Group for Self-Organization of Control: InvertableModel Class Reference

# InvertableModel Class Reference

abstract class (interface) for invertable models. More...

`#include <invertablemodel.h>`

Inherits AbstractModel.

Inherited by FeedForwardNN, and ModelWithMemoryAdapter.

Collaboration diagram for InvertableModel:
[legend]

List of all members.

## Public Member Functions
| InvertableModel (const std::string &name, const std::string &revision)
virtual | ~InvertableModel ()
virtual const matrix::Matrix | response (const matrix::Matrix &input) const =0
| calculates the partial derivative of the of the output with repect to the input (Jacobi matrix).
virtual const matrix::Matrix | inversion (const matrix::Matrix &input, const matrix::Matrix &xsi) const =0
| calculates the input shift v to given output shift xsi via pseudo inversion.

## Detailed Description

abstract class (interface) for invertable models.

Invertable models provide a linear response function (jacobian)

## Constructor & Destructor Documentation

InvertableModel | ( | const std::string & | name,
|  | const std::string & | revision |
| ) |  |  | `[inline]`

virtual ~InvertableModel | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual const matrix::Matrix inversion | ( | const matrix::Matrix & | input,
|  | const matrix::Matrix & | xsi |
| ) |  |  | const`[pure virtual]`

calculates the input shift v to given output shift xsi via pseudo inversion.

The result is a vector of dimension inputdim

Implemented in ModelWithMemoryAdapter, and MultiLayerFFNN.

virtual const matrix::Matrix response | ( | const matrix::Matrix & | input | ) | const`[pure virtual]`

calculates the partial derivative of the of the output with repect to the input (Jacobi matrix).

The result is a matrix of dimension (outputdim x inputdim)

Implemented in ModelWithMemoryAdapter, and MultiLayerFFNN.

The documentation for this class was generated from the following file:

- invertablemodel.h